Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.vfs.util
Class Os

    java.lang.Object
      org.apache.commons.vfs.util.Os

public final class Os
extends Object

Class to help determining the OS.

Author:
  Stefan Bodewig, Magesh Umasankar, Peter Donald

Field Summary
`static OsFamily` | `OS_FAMILY_DOS` All DOS based OSes.
`static OsFamily` | `OS_FAMILY_MAC` All Mac based OSes.
`static OsFamily` | `OS_FAMILY_NETWARE` Netware
`static OsFamily` | `OS_FAMILY_OS2` OS/2
`static OsFamily` | `OS_FAMILY_OSX` OSX
`static OsFamily` | `OS_FAMILY_UNIX` All UNIX based OSes.
`static OsFamily` | `OS_FAMILY_WIN9X` All Windows 9x based OSes.
`static OsFamily` | `OS_FAMILY_WINDOWS` All Windows based OSes.
`static OsFamily` | `OS_FAMILY_WINNT` All Windows NT based OSes.

Method Summary
`static OsFamily` | `getFamily(String name)` Locates an OsFamily by name (case-insensitive).
`static boolean` | `isArch(String arch)` Determines if the OS on which Ant is executing matches the given OS architecture.
`static boolean` | `isFamily(OsFamily family)` Determines if the OS on which Ant is executing matches the given OS family.
`static boolean` | `isFamily(String family)` Determines if the OS on which Ant is executing matches the given OS family.
`static boolean` | `isName(String name)` Determines if the OS on which Ant is executing matches the given OS name.
`static boolean` | `isOs(OsFamily family, String name, String arch, String version)` Determines if the OS on which Ant is executing matches the given OS family, name, architecture and version
`static boolean` | `isOs(String family, String name, String arch, String version)` Determines if the OS on which Ant is executing matches the given OS family, name, architecture and version.
`static boolean` | `isVersion(String version)` Determines if the OS on which Ant is executing matches the given OS version.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OS_FAMILY_WINDOWS

    public static final OsFamily OS_FAMILY_WINDOWS

  All Windows based OSes.

### OS_FAMILY_DOS

    public static final OsFamily OS_FAMILY_DOS

  All DOS based OSes.

### OS_FAMILY_WINNT

    public static final OsFamily OS_FAMILY_WINNT

  All Windows NT based OSes.

### OS_FAMILY_WIN9X

    public static final OsFamily OS_FAMILY_WIN9X

  All Windows 9x based OSes.

### OS_FAMILY_OS2

    public static final OsFamily OS_FAMILY_OS2

  OS/2

### OS_FAMILY_NETWARE

    public static final OsFamily OS_FAMILY_NETWARE

  Netware

### OS_FAMILY_UNIX

    public static final OsFamily OS_FAMILY_UNIX

  All UNIX based OSes.

### OS_FAMILY_MAC

    public static final OsFamily OS_FAMILY_MAC

  All Mac based OSes.

### OS_FAMILY_OSX

    public static final OsFamily OS_FAMILY_OSX

  OSX

Method Detail

### isVersion

    public static boolean isVersion(String version)

  Determines if the OS on which Ant is executing matches the given OS version.

### isArch

    public static boolean isArch(String arch)

  Determines if the OS on which Ant is executing matches the given OS architecture.

### isFamily

    public static boolean isFamily(String family)

  Determines if the OS on which Ant is executing matches the given OS family.

### isFamily

    public static boolean isFamily(OsFamily family)

  Determines if the OS on which Ant is executing matches the given OS family.

### isName

    public static boolean isName(String name)

  Determines if the OS on which Ant is executing matches the given OS name.

  Parameters:
    `name` - Description of Parameter
  Returns:
    The Name value
  Since:
    1.7

### isOs

    public static boolean isOs(String family,
                               String name,
                               String arch,
                               String version)

  Determines if the OS on which Ant is executing matches the given OS family, name, architecture and version.

  Parameters:
    `family` - The OS family
    `name` - The OS name
    `arch` - The OS architecture
    `version` - The OS version
  Returns:
    The Os value

### isOs

    public static boolean isOs(OsFamily family,
                               String name,
                               String arch,
                               String version)

  Determines if the OS on which Ant is executing matches the given OS family, name, architecture and version

  Parameters:
    `family` - The OS family
    `name` - The OS name
    `arch` - The OS architecture
    `version` - The OS version
  Returns:
    The Os value

### getFamily

    public static OsFamily getFamily(String name)

  Locates an OsFamily by name (case-insensitive).

  Returns:
    the OS family, or null if not found.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.